﻿@{ ViewData["Title"] = "Categoria alerta";
    ViewData["Titulo_lugar"] = "Editar Categoria alerta";
    ViewData["Lugar"] = "Categoria alerta";



    Layout = "_edit"; }







@model Generic_appWeb.Models.Categoria_alerta




<form asp-controller="Categoria_alerta" asp-action="Edit" method="post" role="form">

    @Html.Hidden("CAl_id")


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Grupo alerta</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="Grupo_alerta.GAl_id" class="col-md-4 control-label" style="float:left"> Grupo Alerta </label>

                <select asp-for="Grupo_alerta.GAl_id" asp-items="@(new SelectList(ViewBag.grupo_alertaList,"GAl_id", "GAl_descripcion_med"))" class="form-control col-md-6"><option>Seleccione</option></select>


            </div>



        </div>
    </div>





    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Codigo</h3>
        </div>

        <div class="card-body ">


            <div class="form-group ">
                <label asp-for="CAl_codigo_empresa" class="col-md-4 control-label" style="float:left"> Empresa </label>
                <input asp-for="CAl_codigo_empresa" class="form-control col-md-6" />
                <span asp-validation-for="CAl_codigo_empresa" class="text-danger" />

            </div>

            <div class="form-group ">
                <label asp-for="CAl_codigo_alterno" class="col-md-4 control-label" style="float:left"> Alterno </label>
                <input asp-for="CAl_codigo_alterno" class="form-control col-md-6" type="text" />
                <span asp-validation-for="CAl_codigo_alterno" class="text-danger" />

            </div>


        </div>
    </div>


    <br />


    <div class="card card-default ">

        <div class="card-header">
            <h3 class="card-title">Descripciones</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="CAl_descripcion_larga" class="col-md-4 control-label" style="float:left"> Larga</label>
                <input asp-for="CAl_descripcion_larga" class="form-control col-md-6" />
                <span asp-validation-for="CAl_descripcion_larga" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CAl_descripcion_med" class="col-md-4 control-label" style="float:left"> Media</label>
                <input asp-for="CAl_descripcion_med" class="form-control col-md-6" />
                <span asp-validation-for="CAl_descripcion_med" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CAl_descripcion_corta" class="col-md-4 control-label" style="float:left"> Corta</label>
                <input asp-for="CAl_descripcion_corta" class="form-control col-md-6" />
                <span asp-validation-for="CAl_descripcion_corta" class="text-danger" />
            </div>

            <div class="form-group">
                <label asp-for="CAl_abreviacion" class="col-md-4 control-label" style="float:left"> Abreviacion</label>

                <input asp-for="CAl_abreviacion" class="form-control col-md-6" />
                <span asp-validation-for="CAl_abreviacion" class="text-danger" />

            </div>

            <div class="form-group">
                <label asp-for="CAl_observacion" class="col-md-4 control-label" style="float:left"> Observacion</label>

                <input asp-for="CAl_observacion" class="form-control col-md-6" />
                <span asp-validation-for="CAl_observacion" class="text-danger" />
            </div>


        </div>

    </div>


    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Fechas</h3>
        </div>

        <div class="card-body">


            <div class="form-group">

                <label asp-for="CAl_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input name="CAl_fecha_creacion" id="CAl_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CAl_fecha_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="CAl_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input name="CAl_fecha_modificacion" id="CAl_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>
                <span asp-validation-for="CAl_fecha_modificacion" class="text-danger" />

            </div>


        </div>

    </div>



    <br />


    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Usuario</h3>
        </div>

        <div class="card-body">

            <div class="form-group">

                <label asp-for="CAl_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Creacion</label>
                <input asp-for="CAl_usuario_creacion" class="form-control col-xl-6" readonly />
                <span asp-validation-for="CAl_usuario_creacion" class="text-danger" />

            </div>

            <div class="form-group">

                <label asp-for="CAl_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Modificacion</label>
                <input asp-for="CAl_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                <span asp-validation-for="CAl_usuario_modificacion" class="text-danger" />

            </div>

        </div>


    </div>


    <br />



    <div class="card card-default">

        <div class="card-header">
            <h3 class="card-title">Secuencia</h3>
        </div>

        <div class="card-body">


            <div class="form-group">
                <label asp-for="CAl_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  Secuencia</label>
                <!--<label asp-for="GCul_secuencia" class="col-md-4 control-label" style="float:left">  Secuencia </label>-->
                <input asp-for="CAl_secuencia" class="form-control col-md-6" />
                <span asp-validation-for="CAl_secuencia" class="text-danger" />

            </div>

        </div>

    </div>


    <br />


    <div style="float:right" class="col-md-12">

        <div class="form-group">

            <div class="float-right">

                <button type="button" class="btn btn-outline-secondary " onclick="location.href='@Url.Action("Index", "Categoria_alerta")'">Volver</button>
                <button type="submit" class="btn btn-primary ">Guardar</button>

            </div>

        </div>

    </div>

</form>
